{% extends "base.html" %}

{% block style %}
<link rel="stylesheet" href="{{url_for('static',filename='css/profilModif.css')}}">
{% endblock %}

{% block main %}

<main>
    <div class="container">
        <div class="row d-flex flex-grow-1 flex-wrap profil">
            <div class="col-md-4">
                <div class="divCollection">
                    <p>Collection</p>
                    <ul>
                        <li>Item 1</li>
                        <li>Item 2</li>
                        <li>Item 3</li>
                        <li>Item 4</li>
                    </ul>
                    <div class="d-xl-flex justify-content-xl-center divAjoutJeu">
                        <button class="btn btn-primary">Ajouter un jeu</button>
                    </div>
                </div>
                <div class="divLegende">
                    <p>Légende</p>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <span>
                                Intérêt pour le jeux
                            </span>
                            <ul>
                                <li class="listEtoile">
                                    <div>
                                        <img src="{{url_for('static',filename='img/etoile.png')}}">
                                        <img src="{{url_for('static',filename='img/etoile.png')}}">
                                        <img src="{{url_for('static',filename='img/etoile.png')}}">
                                    </div>
                                    : Fort
                                </li>
                                <li class="listEtoile">
                                    <div>
                                        <img src="{{url_for('static',filename='img/etoile.png')}}">
                                        <img src="{{url_for('static',filename='img/etoile.png')}}">
                                    </div>
                                    : Moyen
                                </li>
                                <li class="listEtoile">
                                    <div>
                                        <img src="{{url_for('static',filename='img/etoile.png')}}">
                                    </div>
                                    : Faible
                                </li>
                            </ul>
                        </li>
                        <li class="list-group-item">
                            <span class="connaissance">Connaissance d'un jeu</span>
                            <ul>
                                <li class="listConnaissance">
                                    <img src="{{url_for('static',filename='img/recBleu.png')}}">&nbsp;: Peut expliquer
                                </li>
                                <li class="listConnaissance">
                                    <img src="{{url_for('static',filename='img/recVert.png')}}">&nbsp;: Connaît
                                </li>
                                <li class="listConnaissance">
                                    <img src="{{url_for('static',filename='img/recRouge.png')}}">&nbsp;: Ne connait pas
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="col d-flex profil" data-toggle="tooltip" data-bs-tooltip="">
                <div class="info">
                    <img class="d-lg-flex" id="img_profil" src="{{joueur.avatar}}" width="150px" height="120px">
                    <form method="POST" action="/profil/modif/commit" id="form">
                        <ul>
                            <li>
                                <div class="d-xl-flex justify-content-xl-start">
                                    <label>Avatar:</label>
                                    <input class="form-control" id="input_url" name="avatar" type="text"
                                        value="{{joueur.avatar}}" onchange="changeImgProfil(this)"
                                        placeholder="URL de l'image" required>
                                </div>
                            </li>
                            <li>
                                <div class="d-xl-flex justify-content-xl-start">
                                    <label>Pseudo:</label>
                                    <input class="form-control" name="pseudo" type="text" value="{{joueur.pseudo}}"
                                        required>
                                </div>
                            </li>
                            <li>
                                <div class="d-xl-flex justify-content-xl-start">
                                    <label>Prénom:</label>
                                    <input class="form-control" name="prenom" type="text" value="{{joueur.prenom}}"
                                        required>
                                </div>
                            </li>
                            <li>
                                <div class="d-xl-flex justify-content-xl-start">
                                    <label>Nom:</label>
                                    <input class="form-control" name="nom" type="text" value="{{joueur.nom}}" required>
                                </div>
                            </li>
                            <li>
                                <div class="d-xl-flex justify-content-xl-start">
                                    <label>Email:</label>
                                    <input class="form-control" name="mail" type="email" value="{{joueur.email}}"
                                        required>
                                </div>
                            </li>
                            <li>
                                <div class="d-xl-flex justify-content-xl-start">
                                    <label>Adresse:</label>
                                    <input class="form-control" name="adresse" type="text"
                                        value="{{joueur.adresse.nom_adresse}}" required>
                                </div>
                            </li>
                            <li>
                                <div class="d-xl-flex justify-content-xl-start">
                                    <label>Ville:</label>
                                    <input class="form-control" name="ville" type="text"
                                        value="{{joueur.adresse.nom_ville}}" required>
                                </div>
                            </li>
                            <li>
                                <div class="d-xl-flex justify-content-xl-start">
                                    <label>En vacances:&nbsp;</label>
                                    {% if joueur.mode_vacances %}
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="vacances" id="formCheck-2"
                                            value="oui" checked>
                                        <label class="form-check-label" for="formCheck-2">Oui</label>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="vacances" id="formCheck-1"
                                            value="non">
                                        <label class="form-check-label" for="formCheck-1">Non</label>
                                    </div>
                                    {% else %}
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="vacances" id="formCheck-2"
                                            value="oui">
                                        <label class="form-check-label" for="formCheck-2">Oui</label>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="vacances" id="formCheck-1"
                                            value="non" checked>
                                        <label class="form-check-label" for="formCheck-1">Non</label>
                                    </div>
                                    {% endif %}
                                </div>
                            </li>
                            <li>
                                <div class="d-xl-flex justify-content-xl-start">
                                    <label>Mot de passe:</label>
                                    <input class="form-control" name="password" type="password"
                                        placeholder="(Facultatif)" required>
                                </div>
                            </li>
                            <li>
                                <div class="d-xl-flex justify-content-xl-start">
                                    <label>Confirmation:</label>
                                    <input class="form-control" name="confirmpass" type="password" required>
                                </div>
                            </li>
                        </ul>
                    </form>
                </div>
                <div class="d-flex flex-grow-1 flex-wrap justify-content-lg-center divGroup">
                    <div>
                        <p>Mes groupes privés</p>
                        <ul>
                            <li>Item</li>
                            <li>Item</li>
                            <li>Item</li>
                            <li>Item</li>
                        </ul>
                        <button class="btn btn-primary btn-sm d-lg-flex">Gérer</button>
                    </div>
                    <div>
                        <p>Mes groupes publics</p>
                        <ul>
                            <li>Item</li>
                            <li>Item</li>
                            <li>Item</li>
                            <li>Item</li>
                        </ul>
                        <button class="btn btn-primary btn-sm d-lg-flex">Gérer</button>
                    </div>
                    <div class="divDispo">
                        <p>Mes disponibilités</p>
                        <ul>
                            <li>Item 1</li>
                            <li>Item 2</li>
                            <li>Item 3</li>
                        </ul>
                        <button class="btn btn-primary btn-sm d-lg-flex">Modifier</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-xl-flex justify-content-xl-center">
            <div class="row d-flex flex-grow-1">
                <div class="col divButton">
                    <div class="d-flex flex-grow-1 justify-content-around align-self-end flex-wrap align-items-xl-center"">
                        <button class=" btn btn-primary safe" onclick="window.location.href='/games/propose'">
                        Proposer un jeu à l'association
                        </button>
                        <button class="btn btn-primary d-lg-flex justify-content-lg-start safe"
                            onclick="window.location.href='/profil/'">
                            Annuler
                        </button>
                        <button class="btn btn-primary safe" type="submit" form="form">Valider</button>
                        <button class="btn btn-danger">
                            Supprimer le compte
                        </button>
                    </div>
                </div>
            </div>
        </div>
</main>
{% endblock %}

{% block script %}
<script src="{{url_for('static',filename='js/jquery.min.js')}}"></script>
<script src="{{url_for('static',filename='js/ImageDynamique.js')}}"></script>
{% endblock %}